<mat-dialog-content>
    <ng-template
        [ngIf]="exercise.exercise_images !== null || exercise.video !== null"
    >
        <app-custom-carousel class="carousel">
            <div
                class="carousel-cell"
                *ngFor="let image of exercise.exercise_images"
            >
                <img [src]="image.path" [alt]="exercise.name" />
            </div>

            <div *ngIf="exercise.video" class="carousel-cell">
                <iframe
                    width="100%"
                    height="300px"
                    [src]="exercise.video | safe"
                ></iframe>
            </div>
        </app-custom-carousel>
    </ng-template>

    <div class="top">
        <h2 mat-dialog-title>Exercício {{ exercise.name }}</h2>

        <button mat-icon-button color="primary" (click)="onClose()">
            <mat-icon>close</mat-icon>
        </button>
    </div>

    <div class="info">
        <div>
            <mat-icon svgIcon="sprite:athlete"></mat-icon>
            <strong>Grupo Muscular:</strong>&nbsp;{{ exercise.muscle }}
        </div>
        <div>
            <mat-icon>info</mat-icon>
            <strong>Tipo:</strong>&nbsp;{{ getTypeOfExercise() }}
        </div>
        <div class="description" *ngIf="exercise.description">
            <div>
                <mat-icon>textsms</mat-icon>
                <strong>Descrição:</strong>
            </div>
            <p>{{ exercise.description }}</p>
        </div>

        <ng-template [ngIf]="exercise.machine !== null">
            <mat-expansion-panel class="accordions">
                <mat-expansion-panel-header>
                    <mat-panel-title> Máquina Associada</mat-panel-title>
                </mat-expansion-panel-header>
                <div class="machine-content">
                    <div
                        class="left-side"
                        *ngIf="machine.machine_images !== null"
                        [style.background-image]="
                            'url(' + machine.machine_images[0].path + ')'
                        "
                    ></div>
                    <div class="info">
                        <h3>{{ machine.name }}</h3>

                        <div class="state">
                            <mat-icon>pending_actions</mat-icon>
                            {{ machine.state ? 'Disponível' : 'Indisponível' }}
                        </div>
                    </div>
                </div>
            </mat-expansion-panel>
        </ng-template>
    </div>
</mat-dialog-content>
